# This is a Red Hat maintained package which is specific to
# OLPC.  Thus the source is only available from
# within this srpm.

# OLPC is x86 compatible arch and the package is only meant for OLPC


# This package replaces fedora-logos on OLPC  and contains the
# only trademarked image file needed for OLPC (the grub splash).
# It is not meant to be used on Fedora 



Name: olpc-logos
Summary: OLPC-related icons and pictures
Version: 0.1 
Release: 7%{?dist}
Group: System Environment/Base
Source0: olpc-logos-%{version}.tar.bz2
License: Copyright 2006 Red Hat, Inc.  All rights reserved.
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
# As of F9/OLPC 8.2 we no longer need this package to provide redhat-logos
# but grub wants it to provide system-logos.
Provides: system-logos = %{version}-%{release}

%description
The olpc-logos package (the "Packages") contain image files which
incorporate the OLPC trademarks and logos (the "Marks").

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

# should be ifarch i386
mkdir -p %{buildroot}/boot/grub
install -p -m 644 bootloader/grub-splash.xpm.gz %{buildroot}/boot/grub/splash.xpm.gz
# end i386 bits

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
# should be ifarch i386
/boot/grub/splash.xpm.gz
# end i386 bits


%changelog
* Tue Sep 09 2008 C. Scott Ananian <cscott@laptop.org> - 0.1-7
- grub still requires us to Provide system-logos

* Tue Sep 09 2008 C. Scott Ananian <cscott@laptop.org> - 0.1-6
- Drop the Provides lines; they are no longer needed.

* Tue Sep 11 2007 Rahul Sundaram<sundaram@redhat.com> - 0.1-5
- Drop a few redundant BR and conflicts
* Tue Sep 11 2007 Rahul Sundaram<sundaram@redhat.com> - 0.1-4
- Fixed timestamp. Add a couple of comments. Removed the fedora-logos provides
* Wed Jun 20 2007 Rahul Sundaram <sundaram@redhat.com> - 0.1-3
- Marked this package as upstream for source and fixed build root as per review.  Added provides for fedora-logos
* Wed Jun 20 2007 Rahul Sundaram <sundaram@redhat.com> - 0.1-2
- Submit for review in Fedora
* Tue Nov 07 2006 John (J5) Palmieri  <johnp@redhat.com> - 0.1-1
- Initial import
